import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '@/views/HomeView.vue'
import LoginView from '@/views/LoginView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      component: HomeView,
    },
    {
      path: '/login',
      component: LoginView,
    },
    {
      path: '/classroom-compliance',
      component: () => import('@/apps/classroom_compliance/MainView.vue'),
      children: [
        {
          path: '',
          component: () => import('@/apps/classroom_compliance/ClassesView.vue'),
        },
        {
          path: 'classes/:id',
          component: () => import('@/apps/classroom_compliance/ClassView.vue'),
          props: true,
        },
      ],
    },
  ],
})

export default router
